// For styleguide purpose only 
@import url('https://fonts.googleapis.com/css?family=Montserrat:300,400,700&display=swap');
// Types settings
// 
// $base-font-family - Base font family and fallback
// $base-font-size - Base font size 
// 
// Styleguide settings.types
$base-font-family: 'Montserrat', system-ui !default;
$base-font-size: 14px !default;
/*
Type system


Markup:
<h2>Secondary title h2</h2>
<p>This is used as an H3 title or as key figure titles (and is therefore best made a class</p>
<h3>Secondary title h3</h3>
<p>Pellentesque libero tortor, tincidunt et, tincidunt eget, semper nec, quam. Sed fringilla mauris sit amet nibh. Nulla sit amet est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Phasellus viverra nulla ut metus varius laoreet.</p>
<p class="txt-copy">Pellentesque libero tortor, tincidunt et, tincidunt eget, semper nec, quam. Sed fringilla mauris sit amet nibh. Nulla sit amet est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Phasellus viverra nulla ut metus varius laoreet.</p>

Styleguide base.types
*/
html {
  font-family: $base-font-family;
  font-size: $base-font-size;
}

h2,h3{
  font-family: $base-font-family;
  text-transform: uppercase;
}


h2{
  font-weight: 300;
  font-size: 1.8em;
  line-height: 1;
  @include media('>desktop'){
    font-size: 2.8em;
    line-height: 1.2;
  }
  
}

h3{
  font-weight: 700;
  font-size: 1.5em;
  line-height: 1;
  @include media('>desktop'){
    font-size: 1.8em;
    line-height: 1;
  }
}


p,
.txt-copy{
  font-family: $base-font-family;
  font-weight: 400;
  font-size: 1em;
  line-height: 1.5;
}
